Imports Docs.Word



Public Class Textruns_Hyperlinks
	Friend Shared Function Main1() As Document
		'	Open the document with given name and gets the first paragraph
		Dim Doc As Document = Document.ReadDoc(Form1.SourceFolder + "Textruns - Hyperlinks.doc")
		Dim Par1 As Paragraph = DirectCast(Doc.Sections(0).Nodes(0), Paragraph)

		'	Make two hyperlinks
		Par1.GetTextrun(31, 27).AddHyperlink(LinkType.ExternalFile, "1.doc")
		Par1.GetTextrun(130, 10).AddHyperlink(LinkType.WebPage, "http://en.wikipedia.org/wiki/Mars")

		Return Doc
	End Function
End Class
